ftools: Improve how processes are handled

2011-10-15 06:30 AM - Giovanni Manghi

Status: Closed

Priority: Normal

Assignee: cfarmer -

Category: Processing/QGIS

Pull Request or Patch supplied:No Resolution: wontfix

Easy fix?: No Copied to github as #: 14315

Description

See also #3810-6

The suggestion would be to improve them the same way as the gdal tools processes are handled: launching a process does not "block"

qgis as it runs in the background, and a user can still work with the main program.

For large datasets this is a must.

History

#1 - 2011-12-05 06:11 AM - Alexander Bruy

Merge shapefiles to one, Simplify geometries, Densify geometries and Create spatial index tools now runs in separate thread and don't block QGIS main

window (see commmits commit:48112cc1bc, commit:ad1a4e2cde and commit:26528def45)

#2 - 2011-12-05 06:48 AM - Alexander Bruy

Split vector layer now also runs in separate thread (commit:a00ef42a75)

#3 - 2011-12-16 02:10 PM - Giovanni Manghi

- Target version set to Version 1.7.4

#4 - 2012-04-15 10:09 AM - Giovanni Manghi

- Target version changed from Version 1.7.4 to Version 2.0.0

#5 - 2012-10-06 02:15 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#6 - 2014-06-20 03:36 AM - Giovanni Manghi

- Status changed from Open to Closed

- Resolution set to wontfix

This would need to be implemented in Processing tools.

#7 - 2017-05-01 01:22 AM - Giovanni Manghi

The "ftools" category is being removed from the tracker, changing the category of this ticket to "Processing/QGIS" to not leave the category orphaned.
#8 - 2017-08-08 08:36 AM - Jürgen Fischer

- Easy fix? set to No

- Description updated

2025-04-26 2/2


